package org.r3pek.pharmacies;

import java.io.Serializable;

import com.google.android.maps.GeoPoint;


public class Pharmacy implements Serializable {
	private static final long serialVersionUID = 1L;
	
	private String name;
	private String address;
	private String phoneNumber;
	private String latitude;
	private String longitude;
	private String distance;
	private Boolean atService;
	private String parish;
	
	public Pharmacy() {
	}
	
	public String getName() {
		return name == null ? "" : name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public String getAddress() {
		return address == null ? "" : address;
	}
	
	public void setAddress(String address) {
		this.address = address;
	}
	
	public String getPhoneNumber() {
		return phoneNumber == null ? "" : phoneNumber;
	}
	
	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}
	
	public String getLatitude() {
		return latitude == null ? "" : latitude;
	}
	
	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}
	
	public String getLongitude() {
		return longitude == null ? "" : longitude;
	}
	
	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}
	
	public String getDistance() {
		return distance == null ? "" : distance;
	}

	public void setDistance(String distance) {
		this.distance = distance;
	}

	public boolean isAtService() {
		return atService;
	}
	
	public void setAtService(boolean atService) {
		this.atService = atService;
	}

	public String getParish() {
		return parish == null ? "" : parish;
	}

	public void setParish(String parish) {
		this.parish = parish;
	}
	
	public GeoPoint getGeoPoint() {
		return new GeoPoint((int)(Double.parseDouble(latitude) * 1E6), (int)(Double.parseDouble(longitude) * 1E6));
	}

}
